package ui.view;

import javax.swing.table.DefaultTableModel;

/**
 * Property Table.
 * 
 * @author Gruppe14
 */
public class PropertyTable extends DefaultTableModel {

	@Override
	public Class<?> getColumnClass(int columnIndex) {
		Class clazz = String.class;
		if (getColumnCount() == 8) {
			switch (columnIndex) {
			case 6:
				clazz = Boolean.class;
			case 7:
				clazz = Boolean.class;
				break;
			}
		} else if (getColumnCount() == 7) {
			switch (columnIndex) {
			case 5:
				clazz = Boolean.class;
			case 6:
				clazz = Boolean.class;
				break;
			}
		}
		return clazz;
	}
}
